class Identity {
  constructor(source) {
    let identityData = {};

    if (typeof source === "string") {
      try {
        identityData = JSON.parse(source);
      } catch (e) {
        console.warn(e);
      }
    } else if (typeof source === "object") {
      identityData = source;
    }

    const { authentication, pinCode, passports } = identityData;

    this.authentication = authentication;
    this.pinCode = pinCode;
    this.passports = passports || {};
  }

  setAuthentication(cryptoData) {
    this.authentication = cryptoData;
  }

  setPinCode(pinCode) {
    this.pinCode = pinCode;
  }

  setPassport(passportUUID, cryptoData) {
    this.passports[passportUUID] = cryptoData;
  }

  getPassport(passportUUID) {
    return this.passports[passportUUID];
  }
}

export default Identity;
